﻿$ErrorActionPreference = 'Stop'
$packageName    = 'intel-proset-drivers' 
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$unzipLocation  = "$toolsDir\unzipped"
$bits           = Get-ProcessorBits
$url            = 'https://downloadmirror.intel.com/29124/a08/WiFi_21.40.2_PROSet32.zip'
$checksum       = '7E416D7DD9DFB22D9FAB9F14D085C8C82B986733F2E49C83C748002D4D544C8F'
$url64          = 'https://downloadmirror.intel.com/29124/a08/WiFi_21.40.2_PROSet64.zip'
$checksum64     = 'E030D50A8388743A086BDD89AF3670A1917918E4C4E451D2F056E1AB10A68F39'

# Verify Windows 10 and throw if not
#if (!(Test-Dependency "dependency-windows10")) {throw}

# No need to check for hardware, drivers install even if an Intel PROSet/Wireless card is not found

$packageArgs = @{
  packageName    = $packageName
  unzipLocation  = $unzipLocation
  fileType       = 'ZIP' 
  url            = $url
  checksum       = $checksum
  checksumType   = 'sha256'
  url64          = $url64    
  checksum64     = $checksum64  
  checksumType64 = 'sha256'  
}

Install-ChocolateyZipPackage @packageArgs

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  file           = "$unzipLocation\WirelessSetup.exe"
  silentArgs     = '-q -passive -norestart'
  validExitCodes = @(0)
  softwareName   = 'Intel® PROSet/Wireless Software'
}
 
Install-ChocolateyInstallPackage @packageArgs

Start-Sleep -s 10

Remove-Item $unzipLocation -Recurse | Out-Null
